
// Задание
// Реализовать программу на Javascript, которая будет находить все числа кратные 5(делятся на 5 без остатка) 
// в заданном диапазоне.Задача должна быть реализована на языке javascript,
// без использования фреймворков и сторонник библиотек(типа Jquery).


// Технические требования:
// Считать с помощью модального окна браузера число, которое введет пользователь.
// Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа. 
// Если таких чисел нету - вывести в консоль фразу `Sorry, no numbers'
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.


// Необязательное задание продвинутой сложности:
// Проверить, что введенное значение является целым числом.
// Если данное условие не соблюдается, повторять вывод окна на экран до тех пор, пока не будет введено целое число.
// Считать два числа, m и n. Вывести в консоль все простые числа
// (http://ru.math.wikia.com/wiki/%D0%9F%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5_%D1%87%D0%B8%D1%81%D0%BB%D0%BE)
// в диапазоне от m до n (меньшее из введенных чисел будет m, бОльшее будет n).
// Если хотя бы одно из чисел не соблюдает условие валидации, указанное выше, вывести сообщение об ошибке,
// и спросить оба числа заново.


let userNumber1 = +prompt('Введите первое число')   
let userNumber2 = +prompt('Введите второе число')

while (!Number.isInteger(userNumber1) || !Number.isInteger(userNumber2)) {
    userNumber1 = +prompt('Вы ошиблись. Введите первое число');
    userNumber2 = +prompt('Вы ошиблись. Введите второе число');
}

const m = Math.min(userNumber1, userNumber2); //ищем меньшее число
const n = Math.max(userNumber1, userNumber2); // ищем большее число

nextNumber:
for (let i = m; i <= n; i++) { // проверяем в диапазоне m - n

    for (let x = 2; x < i; x++) { // проверить, делится ли число..
        if (i % x == 0) continue nextNumber; // не подходит, берём следующее
    }
    console.log(i); // простое число
}
